curl --request GET \
--url https://api.bullionwale.com/api/trading/test/v1/deliveries/{delivery_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/test/v1/deliveries/{delivery_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"order_id": "<string>",
"quantity": "<string>",
"status": "<string>",
"symbol_code": "<string>",
"unit": "<string>",
"deal_no": 123,
"decided_at": "<string>",
"note": "<string>",
"order_total": "<string>",
"requested_at": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}One delivery
Test (/api/trading/test/v1): Available on request. Ask the Bullionwale desk to turn on API access for your account and issue a test key. Test orders are simulated; nothing is booked.
Production (/api/trading/v1): Switched off. Production trading is implemented but not available: orders are refused with 403 production_trading_disabled. Once it opens, Bullionwale enables production access per account (see Production access requirements).
In test: Test has no delivery requests: always 404 delivery_not_found.
In production: One of your physical-delivery requests.
curl --request GET \
--url https://api.bullionwale.com/api/trading/test/v1/deliveries/{delivery_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/test/v1/deliveries/{delivery_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"order_id": "<string>",
"quantity": "<string>",
"status": "<string>",
"symbol_code": "<string>",
"unit": "<string>",
"deal_no": 123,
"decided_at": "<string>",
"note": "<string>",
"order_total": "<string>",
"requested_at": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Response
Successful Response
The order's quantity, in unit.
pending, approved or rejected.
g or kg.
When the desk approved or rejected it; null while pending.
The desk's note, e.g. why it was rejected.
The order's value in rupees.